Get importfile details
Get importfile details
get/tenants/{tenantUid}/imports/files/{importFileUid}
Authorizations
AuthorizationstringRequired
Token received from the auth service
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+importFileUidstringRequiredPattern:
Reference to a import file.
^[A-Za-z0-9-_]+Query parameters
lightbooleanOptional
Set this to true to get a lighter version of the response, without the base64encoded version
Responses
200
Example response
application/json
or
get/tenants/{tenantUid}/imports/files/{importFileUid}
GET /v2/tenants/{tenantUid}/imports/files/{importFileUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Example response
{
"importFileUid": "text",
"createdBy": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"state": "NOT_STARTED",
"filename": "text",
"columnCount": 1,
"rowCount": 1,
"progressCount": 1,
"errorCount": 1,
"ignoredCount": 1,
"estimatedRemainingTime": 1,
"estimatedRemainingTimeText": "text",
"totalTime": 1,
"operation": "INSERT",
"errorMessage": "text",
"template": {
"templateUid": "text",
"name": "text",
"description": "text",
"createdBy": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"layouts": [
{
"layoutUid": "text",
"createdBy": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"conversions": [
{
"conversionUid": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"createdBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"fromValue": "text",
"toValue": "text"
}
],
"fieldName": "text",
"value": "text"
}
],
"entity": "PRODUCTS",
"importFormat": "EXCEL",
"fields": [
{
"name": "text",
"type": "text",
"allowedValues": [
"text"
],
"createUsage": {
"usage": "REQUIRED",
"requiredExchangeableWith": [
"text"
]
},
"updateUsage": {
"usage": "REQUIRED",
"requiredExchangeableWith": [
"text"
]
}
}
]
}
}Last updated
Was this helpful?

